Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.webservice.core.soap
Class XMLSignature

    java.lang.Object
      |
      +--weblogic.webservice.core.soap.XMLSignature

public class XMLSignature
extends java.lang.Object

XML signature sign and validate API
User: jlee Date: Feb 3, 2004 Time: 10:18:14 AM

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`XMLSignature()`

Method Summary
`static void` | `sign(java.io.InputStream in, java.io.OutputStream out, java.security.cert.X509Certificate clientcert, java.security.PrivateKey clientprivate)` Read xml document from the inputstream and write the signed document to the provided outputstream
`static ValidateResult` | `validate(java.io.InputStream in)` Verify the signed xml document from the inputstream

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLSignature

    public XMLSignature()

Method Detail

### sign

    public static void sign(java.io.InputStream in,
                            java.io.OutputStream out,
                            java.security.cert.X509Certificate clientcert,
                            java.security.PrivateKey clientprivate)
                     throws XMLSignatureException

  Read xml document from the inputstream and write the signed document to the provided outputstream

  Parameters:
    `in` - inputstream of plain xml document
    `out` - outputstream of signed xml document
    `clientcert` - client certificate added to the signed document
    `clientprivate` - client private key used in the signing process
  Throws:
    webservice.core.soap.XMLSignatureException - exception during the signing process

### validate

    public static ValidateResult validate(java.io.InputStream in)
                                   throws XMLSignatureException

  Verify the signed xml document from the inputstream

  Parameters:
    `in` - inputstream of signed xml document
  Returns:
    validation result, i.e: certificates used in the validation process, etc.
  Throws:
    webservice.core.soap.XMLSignatureException - exception during validation process

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD